## epan 1.3.1-1

=== Makefile ===
INSTDIR=/usr
INSTBINDIR=$(INSTDIR)/sbin
INSTDATADIR=$(INSTDIR)/lib/epan
INSTMANDIR=$(INSTDIR)/man
INSTXBINDIR=$(INSTDIR)/X11R6/bin
INSTXMANDIR=$(INSTDIR)/X11R6/man
INSTXAPPLRESDIR=$(INSTDIR)/X11R6/lib/X11/app-defaults

all install:
	@echo "Please use one of the following commands to install EPAN:"
	@echo "make install-static          # libc6 (libxforms/libpcap statically linked)"
	@echo "make install-dynamic         # libc6 (libxforms/libpcap dynamically linked)"

install-data:
	install -d $(INSTDATADIR)
	install -m 755 epan_pstats $(INSTDATADIR)
	install -m 755 conv-vendor.pl $(INSTDATADIR)
	install -m 644 vendorcodes.dat $(INSTDATADIR)
	install -m 644 vendorcodes.txt $(INSTDATADIR)
	install -m 644 magic $(INSTDATADIR)
	install -d $(INSTMANDIR)/man8
	install -m 644 edump.8 $(INSTMANDIR)/man8
	install -d $(INSTXMANDIR)/man8
	install -m 644 epan.8 $(INSTXMANDIR)/man8
	install -d $(INSTXAPPLRESDIR)
	install -m 644 Epan $(INSTXAPPLRESDIR)

install-static: install-data
	install -d $(INSTBINDIR)
	install -m 755 edump-static $(INSTBINDIR)/edump
	install -d $(INSTXBINDIR)
	install -m 755 epan-static $(INSTXBINDIR)/epan

install-dynamic: install-data
	install -d $(INSTBINDIR)
	install -m 755 edump $(INSTBINDIR)/edump
	install -d $(INSTXBINDIR)
	install -m 755 epan $(INSTXBINDIR)/epan

=== debian/changelog ===
epan (1.3.1-1) unstable; urgency=low

  * epan: readded about 3000 IPX socket/service types

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Mon,  2 Feb 1998 15:14:04 +0100

epan (1.3.0-1) unstable; urgency=low

  * recompiled with libforms-0.88
  * epan: made frame detail window update faster
  * epan: fixed a problem with realloc
  * epan: don't link with libXpm anymore
  * epan: also display vendor as hex value in the SNAP decoder
  * epan: added NetBIOS/NetBEUI decoder
  * epan: added new RPC program numbers
  * epan: added TELNET decoder
  * epan: added TELNET subnegotiation option decoder for
          OLD_ENVIRON, NEW_ENVIRON, TTYPE, TSPEED and XDISPLOC

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Thu, 29 Jan 1998 23:41:55 +0100

epan (1.2.5-1) unstable; urgency=low

  * Initial Release.

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Thu, 25 Sep 1997 23:11:02 +0200

Local variables:
mode: debian-changelog
add-log-mailing-address: "tobias@et-inf.fho-emden.de"
End:

=== debian/control ===
Source: epan
Section: non-free/net
Priority: extra
Maintainer: Peter Tobias <tobias@et-inf.fho-emden.de>
Standards-Version: 2.3.0.0

Package: epan
Architecture: i386
Depends: ${shlibs:Depends}
Description: offline ethernet protocol analyzer
 This program allows yo to capture data from network devices like
 ethernet, SLIP or PPP and analyze this data. You can decode the
 captured data in detail, i.e. you'll see all the details of protocols
 like  IP,  TCP, UDP, DNS or RIP. Epan currently contains more than 25
 protocol decoders.

=== debian/rules ===
#!/usr/bin/make -f

package=epan

# if your install command doesn't support the -p
# option comment out the following line
inst_flag=-p

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	install $(inst_flag) -m 755 debian/postinst debian/postrm debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/epan
	install $(inst_flag) -m 644 debian/copyright debian/changelog debian/tmp/usr/doc/epan
	gzip -9f debian/tmp/usr/doc/epan/changelog
	install -d debian/tmp/usr/X11R6/bin
	install -d debian/tmp/usr/X11R6/lib/X11/app-defaults
	install -d debian/tmp/usr/X11R6/man/man8
	install -d debian/tmp/usr/lib/epan
	install -d debian/tmp/usr/lib/menu
	install -d debian/tmp/usr/man/man8
	install -d debian/tmp/usr/sbin
	install $(inst_flag) -m 755 -s epan debian/tmp/usr/X11R6/bin/epan
#	install $(inst_flag) -m 755 -s epan-static debian/tmp/usr/X11R6/bin/epan
	install $(inst_flag) -m 644 Epan debian/tmp/usr/X11R6/lib/X11/app-defaults
	install $(inst_flag) -m 644 epan.8 debian/tmp/usr/X11R6/man/man8
	install $(inst_flag) -m 644 vendorcodes.* magic debian/tmp/usr/lib/epan
	install $(inst_flag) -m 755 epan_pstats conv-vendor.pl debian/tmp/usr/lib/epan
	install $(inst_flag) -m 644 debian/menu debian/tmp/usr/lib/menu/epan
	install $(inst_flag) -m 755 -s edump debian/tmp/usr/sbin/edump
#	install $(inst_flag) -m 755 -s edump-static debian/tmp/usr/sbin/edump
	install $(inst_flag) -m 644 edump.8 debian/tmp/usr/man/man8
	gzip -9v debian/tmp/usr/X11R6/man/*/*
	gzip -9v debian/tmp/usr/man/*/*
	(cd debian/tmp && md5sum `find * -noleaf -type f ! -regex "DEBIAN/.*"` >DEBIAN/md5sums)
	dpkg-shlibdeps debian/tmp/usr/X11R6/bin/epan debian/tmp/usr/sbin/edump 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary:	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## epan 1.3.1-5

=== debian/changelog ===
epan (1.3.1-5) unstable; urgency=low

  * Set maintainer to Debian QA Team <packages@qa.debian.org>

 -- Angel Ramos <seamus@debian.org>  Sun,  6 Jan 2002 03:00:55 +0100

epan (1.3.1-4) unstable; urgency=low

  *Build without libforms depend (static binary) because 
   libforms 0.88 is obsolete and deprecated. It is impossible
   build with libforms 0.89 because we haven't the source code 
   of epan. (Closes: #118137).

 -- Angel Ramos <seamus@debian.org>  Mon, 5 Nov 2001 13:26:12 +0100

epan (1.3.1-3.1) unstable; urgency=low

  *Fixed package description (Closes: #18941).

 -- Angel Ramos <seamus@debian.org>  Wed,  29 Aug 2001 11:58:10 +0200

epan (1.3.1-3) unstable; urgency=low

  * New maintainer (Closes: #99734).

 -- Angel Ramos <seamus@debian.org>  Thu,  16 Aug 2001 12:33:23 +0100

epan (1.3.1-2) unstable; urgency=low

  * Set maintainer to Debian QA Team <packages@qa.debian.org>

 -- Bas Zoetekouw <bas@debian.org>  Sat,  4 Aug 2001 17:50:55 +0200

epan (1.3.1-1.2) unstable; urgency=low

  * NMU
  * Build on a system with libforms0.88 installed to get the correct
    dependency on the binary-only upload. (closes: #84921)

 -- Peter S Galbraith <psg@debian.org>  Fri,  4 May 2001 10:59:41 -0400

epan (1.3.1-1.1) unstable; urgency=low

  * NMU
  * /usr/X11R6/lib/X11/app-defaults -> /etc/X11/app-defaults (Closes: #86267)
  * /usr/man -> /usr/share/man
  * /usr/doc -> /usr/share/doc

 -- Branden Robinson <branden@debian.org>  Sat, 17 Mar 2001 22:55:25 -0500

=== debian/control ===
Source: epan
Section: non-free/net
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.2.1

Package: epan
Architecture: i386
Depends: ${shlibs:Depends}
Description: offline ethernet protocol analyzer
 This program allows you to capture data from network devices like
 ethernet, SLIP or PPP and analyze this data. You can decode the
 captured data in detail, i.e. you'll see all the details of protocols
 like  IP,  TCP, UDP, DNS or RIP. Epan currently contains more than 25
 protocol decoders.

=== debian/rules ===
#!/usr/bin/make -f

package=epan

# if your install command doesn't support the -p
# option comment out the following line
inst_flag=-p

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	install $(inst_flag) -m 644 debian/conffiles debian/tmp/DEBIAN
	install $(inst_flag) -m 755 debian/postinst debian/prerm debian/postrm debian/tmp/DEBIAN
	install -d debian/tmp/usr/share/doc/epan
	install $(inst_flag) -m 644 README debian/copyright debian/tmp/usr/share/doc/epan
	install $(inst_flag) -m 644 debian/changelog debian/tmp/usr/share/doc/epan/changelog.Debian
	gzip -9f debian/tmp/usr/share/doc/epan/changelog.Debian
	install -d debian/tmp/usr/X11R6/bin
	install -d debian/tmp/etc/X11/app-defaults
	install -d debian/tmp/usr/X11R6/man/man8
	install -d debian/tmp/usr/lib/epan
	install -d debian/tmp/usr/lib/menu
	install -d debian/tmp/usr/share/man/man8
	install -d debian/tmp/usr/sbin
#	install $(inst_flag) -m 755 -s epan debian/tmp/usr/X11R6/bin/epan
	install $(inst_flag) -m 755 -s epan-static debian/tmp/usr/X11R6/bin/epan
	install $(inst_flag) -m 644 Epan debian/tmp/etc/X11/app-defaults
	install $(inst_flag) -m 644 epan.8 debian/tmp/usr/X11R6/man/man8
	install $(inst_flag) -m 644 vendorcodes.* magic debian/tmp/usr/lib/epan
	install $(inst_flag) -m 755 epan_pstats conv-vendor.pl debian/tmp/usr/lib/epan
	install $(inst_flag) -m 644 debian/menu debian/tmp/usr/lib/menu/epan
	install $(inst_flag) -m 755 -s edump debian/tmp/usr/sbin/edump
#	install $(inst_flag) -m 755 -s edump-static debian/tmp/usr/sbin/edump
	install $(inst_flag) -m 644 edump.8 debian/tmp/usr/share/man/man8
	gzip -9v debian/tmp/usr/X11R6/man/*/*
	gzip -9v debian/tmp/usr/share/man/*/*
	(cd debian/tmp && md5sum `find * -noleaf -type f ! -regex "DEBIAN/.*"` >DEBIAN/md5sums)
	dpkg-shlibdeps debian/tmp/usr/X11R6/bin/epan debian/tmp/usr/sbin/edump
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary:	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
